package com.bonus.canteen.core.menu.po;

import io.swagger.annotations.ApiModelProperty;

public class ImportCheckMaterialModel {
   @ApiModelProperty("食材id")
   private Long materialId;
   @ApiModelProperty("食材名称")
   private String materialName;
   @ApiModelProperty("原料类型(1原料2商品)")
   private Integer materialType;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("售卖类型(1按份2称重)")
   private Integer salesMode;

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }
}
